Groovy-eclipse-batch for 2.1.8?

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Groovy-eclipse-batch for 2.1.8?

steve.ash
Hi-

Any ETA on a 2.1.8 version of groovy-eclipse-batch?  There are some compileStatic fixes that would be useful.  Looks like the current version 2.1.5 is from June.

I really wish I knew enough about the eclipse compiler to do this myself.  I know a fair amount about groovy and compilers, perhaps with a short write up I could figure it out?  Just offering :)

Thanks,
Steve
Reply | Threaded
Open this post in threaded view
|

Re: Groovy-eclipse-batch for 2.1.8?

Andy Clement
Just offering :)

You may regret that :)

I'm overdue writing this up, let me see if I can do it. It isn't especially hard, unless they have changed their grammar and our grammar edits need to be integrated and the parser regenerated.

cheers,
Andy


On 24 October 2013 11:36, Steve Ash <[hidden email]> wrote:
Hi-

Any ETA on a 2.1.8 version of groovy-eclipse-batch?  There are some compileStatic fixes that would be useful.  Looks like the current version 2.1.5 is from June.

I really wish I knew enough about the eclipse compiler to do this myself.  I know a fair amount about groovy and compilers, perhaps with a short write up I could figure it out?  Just offering :)

Thanks,
Steve

Reply | Threaded
Open this post in threaded view
|

Re: Groovy-eclipse-batch for 2.1.8?

Andy Clement
Groovy 2.1.8 is now in Groovy-Eclipse dev builds (for E43).  I wrote up:


as the beginnings of how to do the upgrade for anyone that wishes to tackle it in the future or help finesse the patch.

Andy


On 25 October 2013 10:54, Andy Clement <[hidden email]> wrote:
Just offering :)

You may regret that :)

I'm overdue writing this up, let me see if I can do it. It isn't especially hard, unless they have changed their grammar and our grammar edits need to be integrated and the parser regenerated.

cheers,
Andy


On 24 October 2013 11:36, Steve Ash <[hidden email]> wrote:
Hi-

Any ETA on a 2.1.8 version of groovy-eclipse-batch?  There are some compileStatic fixes that would be useful.  Looks like the current version 2.1.5 is from June.

I really wish I knew enough about the eclipse compiler to do this myself.  I know a fair amount about groovy and compilers, perhaps with a short write up I could figure it out?  Just offering :)

Thanks,
Steve


Reply | Threaded
Open this post in threaded view
|

Re: Groovy-eclipse-batch for 2.1.8?

Kris De Volder
FYI: There's now a groovy-eclipse-batch version 2.1.8 on maven central the exact version 2.1.8-01.

It seems to be behaving for the most part although some of the regression tests seem to be misbehaving.
They are all passing but some of them seem to pass without actually compiling anything.
Something seems to be going wrong in some of the test projects w.r.t. source folders.
Maven isn't actually calling the plugin.

Ir probably depends on the details in the pom of the project.

I'm still trying to get to the bottom of this.

In the mean time, putting this stuff in pom seems to work:

        <plugin>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.1</version>
                <configuration>
                  <compilerId>groovy-eclipse-compiler</compilerId>
                  <!-- set verbose to be true if you want lots of uninteresting messages -->
                  <!-- <verbose>true</verbose> -->
                  <source>1.7</source>
                  <target>1.7</target>
                </configuration>
                <dependencies>
                  <dependency>
                    <groupId>org.codehaus.groovy</groupId>
                    <artifactId>groovy-eclipse-compiler</artifactId>
                    <version>2.9.0-01-SNAPSHOT</version>
                  </dependency>
                  <dependency>
                    <!-- force a newer version of Groovy -->
                    <groupId>org.codehaus.groovy</groupId>
                    <artifactId>groovy-eclipse-batch</artifactId>
                    <version>2.1.8-01</version>
                  </dependency>
                </dependencies>
              </plugin>       

Kris



On Tue, Oct 29, 2013 at 9:50 AM, Andy Clement <[hidden email]> wrote:
Groovy 2.1.8 is now in Groovy-Eclipse dev builds (for E43).  I wrote up:


as the beginnings of how to do the upgrade for anyone that wishes to tackle it in the future or help finesse the patch.

Andy


On 25 October 2013 10:54, Andy Clement <[hidden email]> wrote:
Just offering :)

You may regret that :)

I'm overdue writing this up, let me see if I can do it. It isn't especially hard, unless they have changed their grammar and our grammar edits need to be integrated and the parser regenerated.

cheers,
Andy


On 24 October 2013 11:36, Steve Ash <[hidden email]> wrote:
Hi-

Any ETA on a 2.1.8 version of groovy-eclipse-batch?  There are some compileStatic fixes that would be useful.  Looks like the current version 2.1.5 is from June.

I really wish I knew enough about the eclipse compiler to do this myself.  I know a fair amount about groovy and compilers, perhaps with a short write up I could figure it out?  Just offering :)

Thanks,
Steve